clang 8.0.0

Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
clang::ast_matchers::dynamic::Parser::TokenInfo Struct Reference

Simple structure to hold information for one token from the parser. More...

Collaboration diagram for clang::ast_matchers::dynamic::Parser::TokenInfo:
[legend]

## Public Types
enum | TokenKind { TK_Eof, TK_OpenParen, TK_CloseParen, TK_Comma, TK_Period, TK_Literal, TK_Ident, TK_InvalidChar, TK_Error, TK_CodeCompletion }
| Different possible tokens. More...

## Public Member Functions
| TokenInfo ()=default

## Public Attributes
StringRef | Text
TokenKind | Kind = TK_Eof
SourceRange | Range
VariantValue | Value

## Static Public Attributes
static const char *const | ID_Bind = "bind"
| Some known identifiers. More...

## Detailed Description

Simple structure to hold information for one token from the parser.

Definition at line 38 of file Parser.cpp.

## Member Enumeration Documentation

## ◆ TokenKind

enum clang::ast_matchers::dynamic::Parser::TokenInfo::TokenKind

Different possible tokens.

Enumerator
TK_Eof |
TK_OpenParen |
TK_CloseParen |
TK_Comma |
TK_Period |
TK_Literal |
TK_Ident |
TK_InvalidChar |
TK_Error |
TK_CodeCompletion |

Definition at line 40 of file Parser.cpp.

## Constructor & Destructor Documentation

## ◆ TokenInfo()

clang::ast_matchers::dynamic::Parser::TokenInfo::TokenInfo | ( |  | ) |
| default

## Member Data Documentation

## ◆ ID_Bind

const char *const clang::ast_matchers::dynamic::Parser::TokenInfo::ID_Bind = "bind"
| static

Some known identifiers.

Definition at line 54 of file Parser.cpp.

Referenced by clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg().

## ◆ Kind

TokenKind clang::ast_matchers::dynamic::Parser::TokenInfo::Kind = TK_Eof

Definition at line 59 of file Parser.cpp.

Referenced by clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg(), clang::ast_matchers::dynamic::Parser::CodeTokenizer::nextTokenKind(), and clang::ast_matchers::dynamic::Parser::parseExpression().

## ◆ Range

SourceRange clang::ast_matchers::dynamic::Parser::TokenInfo::Range

Definition at line 60 of file Parser.cpp.

Referenced by clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg(), clang::ast_matchers::dynamic::Parser::CodeTokenizer::nextTokenKind(), and clang::ast_matchers::dynamic::Parser::parseExpression().

## ◆ Text

StringRef clang::ast_matchers::dynamic::Parser::TokenInfo::Text

Definition at line 58 of file Parser.cpp.

Referenced by clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg(), and clang::ast_matchers::dynamic::Parser::CodeTokenizer::nextTokenKind().

## ◆ Value

VariantValue clang::ast_matchers::dynamic::Parser::TokenInfo::Value

Definition at line 61 of file Parser.cpp.

Referenced by clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg(), and clang::ast_matchers::dynamic::Parser::CodeTokenizer::nextTokenKind().

The documentation for this struct was generated from the following file:

- lib/ASTMatchers/Dynamic/Parser.cpp